curl --request GET \
--url https://api.example.com/{supplierapi}/bookingsimport requests
url = "https://api.example.com/{supplierapi}/bookings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/{supplierapi}/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/bookings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/{supplierapi}/bookings")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyGet a list of bookings
Get a list of bookings
Retrieve a list of bookings matching the search criteria. If no search criteria are provided, the default search returns a list of all bookings for activities on or after today’s date.
Response
Top Level Result Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| totalMatchingRecords | n | Integer | Total number of bookings found that match the search criteria. |
| fetchedRecords | n | Integer | Number of bookings returned in this response. |
| results | n | Array | List of Booking objects. |
Booking Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| bookingId | n | Integer | Unique identifier for this booking. |
| fareName | n | String | Name of the fare type that this booking was made for. |
| allocationName | n | String | Name of the availability allocation group that this booking was made for. |
| bookingDate | n | Date (yyyy-mm-dd) | Date that the booking is for. |
| createdDate | n | Date (ISO8601 format) | Date and time of the booking request |
| redeemers | n | Array of Redeemer Objects | Customers associated with this booking |
| pax | n | Integer | Number of people on this booking. |
| NetRate | n | Float | Value of this booking to the operator. (per qty) |
| RRP | n | Float | Operator retail price of this booking (per qty) |
| voucherNumber | n | String | Voucher number for this booking. Note that one voucher may have multiple bookings. For example if the booking is for multiple nights of accommodation. |
| cancelledDate | y | Date (ISO8601 format) | Date and time that the booking was cancelled. |
| cancelledReason | y | String | Reason that booking was cancelled. |
Redeemer Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| name | n | String | Customer Name. |
| n | String | Customer email address | |
| phone | n | String | Customer contact number |
| pickup | y | String | Pickup details for this customer |
| comment | y | String | Additional information |
| optionalFields | n | Array of Optional Field Objects | Further requested information |
Optional Field Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| question | n | String | Optional field question |
| answer | n | String | Customer answer |
curl --request GET \
--url https://api.example.com/{supplierapi}/bookingsimport requests
url = "https://api.example.com/{supplierapi}/bookings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/{supplierapi}/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/bookings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/{supplierapi}/bookings")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPath Parameters
supplier|apiv1/supplierQuery Parameters
Only return bookings for the product with this ID.
Only return bookings that partially match this redeemer name.
Only return bookings that match this voucher number.
Only return bookings for activities on or after this date.
Only return bookings for activities before this date.
Only return bookings which were placed on or after this date.
Only return bookings which were placed before this date.
Only return bookings which have been cancelled on or after this date.
Only return bookings which have been cancelled before this date.
Only return bookings which have/have not been cancelled.
Sort the results by this field.
Sort the results in this direction.
Position of first result to return.
Number of results to return.
Response
Returned when successful